//visual studio code formatting messes with the [Setting ..] text causing open planet to crash
//moved to different file to get around that issue
#if __INTELLISENSE__
#include "cppIntellisense.h"
#endif

[Setting category="Display Settings" name="Window visible" description="To adjust the position of the window, click and drag while the Openplanet overlay is visible."]
bool windowVisible = true;

[Setting category="Display Settings" name="Hide on hidden interface"]
bool hideWithIFace = false;

[Setting category="Display Settings" name="Window position" drag]
vec2 anchor = vec2(0, 780);

[Setting category="Display Settings" name="Lock window position" description="Prevents the window moving when click and drag or when the game window changes size."]
bool lockPosition = false;

[Setting category="Display Settings" name="Font face" description="To avoid a memory issue with loading a large number of fonts, you must reload the plugin for font changes to be applied."]
string fontFace = "";

[Setting category="Display Settings" name="Font size" min=8 max=48 description="To avoid a memory issue with loading a large number of fonts, you must reload the plugin for font changes to be applied."]
int fontSize = 16;

// ---------------- GENERAL SETTINGS ------------

[Setting category="General" name="Show Average lap time" description="Adds Average lap time to the window header"]
bool showAverageLap = true;

[Setting category="General" name="Num Laps on screen" description="Max number of lap times allowed to be on screen" min=3 max=100]
int numCheckpointsOnScreen = 15;

[Setting category="General" name="Lap Cycle Speed (Seconds)" description="How quick the lap times will cycle after a map is finished", min="0"]
float finishedCheckpointCycleSpeed = 1.0f;



